Package tigase.util.workqueue

# Class PriorityQueueRelaxed<E>

java.lang.Object
tigase.util.workqueue.PriorityQueueAbstract<E>
tigase.util.workqueue.PriorityQueueRelaxed<E>

public class PriorityQueueRelaxed<E> extends PriorityQueueAbstract<E>
Created: Feb 9, 2010 11:12:56 AM

Author:
  Artur Hefczyc

- ## Field Summary

  ### Fields inherited from class tigase.util.workqueue.PriorityQueueAbstract

  `NONPRIORITY_QUEUE, QUEUE_IMPLEMENTATION`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  ``
  `PriorityQueueRelaxed()`
  `protected`
  `PriorityQueueRelaxed(int maxPriority, int maxSize)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final void`
  `init(int maxPriority, int maxSize)`
  `boolean`
  `offer(E element, int priority)`
  `void`
  `put(E element, int priority)`
  `void`
  `setMaxSize(int maxSize)`
  `int[]`
  `size()`
  `E`
  `take()`
  `int`
  `totalSize()`

  ### Methods inherited from class tigase.util.workqueue.PriorityQueueAbstract

  `getPriorityQueue, getPriorityQueue`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PriorityQueueRelaxed

    public PriorityQueueRelaxed()

  - ### PriorityQueueRelaxed

    protected PriorityQueueRelaxed(int maxPriority, int maxSize)

- ## Method Details

  - ### init

    public final void init(int maxPriority, int maxSize)
    Specified by:
      `init` in class `PriorityQueueAbstract<E>`

  - ### offer

    public boolean offer(E element, int priority)
    Specified by:
      `offer` in class `PriorityQueueAbstract<E>`

  - ### put

    public void put(E element, int priority) throws InterruptedException
    Specified by:
      `put` in class `PriorityQueueAbstract<E>`
    Throws:
      `InterruptedException`

  - ### setMaxSize

    public void setMaxSize(int maxSize)
    Specified by:
      `setMaxSize` in class `PriorityQueueAbstract<E>`

  - ### size

    public int[] size()
    Specified by:
      `size` in class `PriorityQueueAbstract<E>`

  - ### take

    public E take() throws InterruptedException
    Specified by:
      `take` in class `PriorityQueueAbstract<E>`
    Throws:
      `InterruptedException`

  - ### totalSize

    public int totalSize()
    Specified by:
      `totalSize` in class `PriorityQueueAbstract<E>`